Subject: bug#31948: 26.1; smie-indent-forward-token forward-sexp in strings

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 Jun 2018 09:39:40 -0400

>> It doesn't look like a bug, in the sense that smie-indent-forward-token
>> should be able to assume it's called from a position outside of
>> a string/comment.
>> IOW I'd tend to put the blame on the code that calls this function.
> I remember reading something along these lines but cannot find it.

I don't think it's clearly documented.

> If not should it be documented?

You could try and clarify that the starting point is expected to be
*between* tokens (tho that could also be interpreted to include being
in the middle of a comment).

        Stefan